Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 31 Oct 2014, 07:14
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Dpup Exprimo 5.X.3.4.12 with 3.4.2 kernel.
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 38 of 89 Posts_count   Goto page: Previous 1, 2, 3, ..., 36, 37, 38, 39, 40, ..., 87, 88, 89 Next
Author Message
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sat 30 Jun 2012, 02:44    Post_subject:  

DC. Kernel 3.4.2 has initial support for your stick....in /lib/modules/3.4.2-dpup/kernel/drivers/media/dvb/dvb-usb/dvb-usb-rtl28xxu.ko

Have you plugged in your stick and tested. And check the dmesg in console after that. Or try modprobe dvb-usb-rtl28xxu and test again.

I couldnt find recent patch for your stick.

/usr/src/linux/drivers/media/dvb/dvb-usb/rtl28xxu.c mentions rtl2832u several times.
If that support does not work for you, I could try to hunt recent ready patch for 3.4.2 kernel.

About kernel headers. They are included in devx sfs in Puppies. In dpups also. When you compile kernel modules...I would recommend to use devx sfs of the build. The other devx sfs usually works for applications. I mean same puplet but older kernel version usually works. Debian packages their kernel totally differently than Puppies. So...the ready kernel patching kits from debian ubuntu or squeeze does not work.

Charlie6. Yeah...it seems to need that libcurl-gnutls.so.4. libcurl3-gnutls deb from PPM debian squeeze repo installs that lib. I must have had that lib due to my compiling already.
Back to top
View user's profile Send_private_message 
DC


Joined: 30 Apr 2006
Posts: 361
Location: Maidenhead, England

PostPosted: Sat 30 Jun 2012, 09:02    Post_subject: RTL2832U  

Hi pemasu,
RTL2832U Not working. Here's the results

As a benchmark, puppy 528 which uses the module I compiled

#Twinhan
dvb-usb: found a 'TwinhanDTV USB-Ter USB1.1 / Magic Box I / HAMA USB1.1 DVB-T device' in warm state.
dvb-usb: will use the device's hardware PID filter (table count: 16).
dvb-usb: schedule remote query interval to 150 msecs.
dvb-usb: TwinhanDTV USB-Ter USB1.1 / Magic Box I / HAMA USB1.1 DVB-T device successfully initialized and connected.
#Sandberg
dvb-usb: found a 'RTL2832U DVB-T USB DEVICE' in warm state.
dvb-usb: will pass the complete MPEG2 transport stream to the software demuxer.
dvb-usb: RTL2832U DVB-T USB DEVICE successfully initialized and connected.
usbcore: registered new interface driver dvb_usb_rtl2832u

#squeeze-5_X_3_4_2_1-SCSI results

# modprobe dvb-usb-rtl28xxu

# dmesg | grep dvb
[ 496.418342] usbcore: registered new interface driver dvb_usb_rtl28xxu

#Sandberg
unplug and replug RTL2832U - no reaction at all


# Twinhan
[ 663.068566] dvb-usb: found a 'TwinhanDTV USB-Ter USB1.1 / Magic Box I / HAMA USB1.1 DVB-T device' in cold state, will try to load a firmware
[ 663.071792] dvb-usb: downloading firmware from file 'dvb-usb-dibusb-5.0.0.11.fw'
[ 664.064746] usbcore: registered new interface driver dvb_usb_dibusb_mb
[ 664.066565] dvb-usb: generic DVB-USB module successfully deinitialized and disconnected.
[ 666.220826] dvb-usb: found a 'TwinhanDTV USB-Ter USB1.1 / Magic Box I / HAMA USB1.1 DVB-T device' in warm state.
[ 666.239425] dvb-usb: will use the device's hardware PID filter (table count: 16).
[ 666.287783] dvb-usb: schedule remote query interval to 150 msecs.
[ 666.302608] dvb-usb: TwinhanDTV USB-Ter USB1.1 / Magic Box I / HAMA USB1.1 DVB-T device successfully initialized and connected.

Whats the criteria for finding kernel headers /patches. As I want to get this usb-dvb working under Fatdog as well.

One other point relating to sqeeze trying to resize windows you have to be very accurate with your mouse pointer. Is there a setting to make the grab area wider/thicker?

thanks

DC

_________________
a little bit of knowledge and I'm dangerous
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sat 30 Jun 2012, 10:54    Post_subject:  

I have compiled mscore-1.2. It needs qt libs from exprimo repo also.

http://musescore.org/
http://smokey01.com/pemasu/pet_packages-exprimo/mscore-1.2.pet
http://smokey01.com/pemasu/pet_packages-exprimo/mscore_NLS-1.2.pet
http://smokey01.com/pemasu/pet_packages-exprimo/mscore_DOC-1.2.pet

I have also packaged Adobe Acrobat reader-9.5.1 and FoxitReader-1.1

http://smokey01.com/pemasu/pet_packages-exprimo/acrobat-reader-9.5.1.pet
http://smokey01.com/pemasu/pet_packages-exprimo/acrobat-reader-9.5.1.sfs

http://smokey01.com/pemasu/pet_packages-exprimo/foxitreader-1.1-dpup.pet
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sat 30 Jun 2012, 11:01    Post_subject:  

DC. I am checking the rtl2832u patches.
About JWM window thichkness. Yeah...I have reduced it to too narrow. In /root/.jwm/themes....check the jwmrc files of the themes. In there is the tag: <Width>3</Width>
Change it for example to whatever number you want. From 1 or 3 to 5 or 8. From 8 the resizing by dragging is easy, lol.
Back to top
View user's profile Send_private_message 
OscarTalks

Joined: 05 Feb 2012
Posts: 906
Location: London, England

PostPosted: Sat 30 Jun 2012, 11:52    Post_subject:  

Hello Pemasu / Billtoo / Anyone else,

I would be curious to know if this video stream plays in your new VLC 2.0.1

http://173.193.48.140:8080;stream.nsv

It is just the one from the button "Shoutcast Movie" in Pupradio/Puptelly but it is in fact "Old Fashioned TV".

I have found that in some VLC versions in Puppy I get video but no audio and I was wondering if this is something in the way it was compiled or if it is something which needs to be altered in the (rather large) preferences like a demuxer setting perhaps?

_________________
Oscar in England

Back to top
View user's profile Send_private_message 
irishrm


Joined: 14 Mar 2009
Posts: 218

PostPosted: Sat 30 Jun 2012, 12:10    Post_subject:  

@ OscarTalks:

edit:
My apologies.
I forgot I was using vlc 2.0.1 on fatdog600 when I posted this reply but it may help to know it works on 2.0.1.

I have it playing on vlc 2.0.1as I post this. Just copied address from the clipboard.
irishrm.

edit 2:
As Billtoo confirms no sound (didn't check)

Edited_time_total
Back to top
View user's profile Send_private_message 
Billtoo


Joined: 07 Apr 2009
Posts: 2138
Location: Ontario Canada

PostPosted: Sat 30 Jun 2012, 12:23    Post_subject:  

OscarTalks wrote:
Hello Pemasu / Billtoo / Anyone else,

I would be curious to know if this video stream plays in your new VLC 2.0.1

http://173.193.48.140:8080;stream.nsv

It is just the one from the button "Shoutcast Movie" in Pupradio/Puptelly but it is in fact "Old Fashioned TV".

I have found that in some VLC versions in Puppy I get video but no audio and I was wondering if this is something in the way it was compiled or if it is something which needs to be altered in the (rather large) preferences like a demuxer setting perhaps?


It plays but no sound in vlc-2.0.1 dpup and fatdog, it plays with sound
in ubuntu 12.04 running in virtualbox in slacko 533.

EDIT: umplayer plays that link with sound in fatdog, I haven't tried the dpup version of umplayer.
nsv.jpg
 Description   
 Filesize   79.88 KB
 Viewed   760 Time(s)

nsv.jpg

vlcscrnvb.jpg
 Description   
 Filesize   116.82 KB
 Viewed   1122 Time(s)

vlcscrnvb.jpg


Edited_time_total
Back to top
View user's profile Send_private_message 
James C


Joined: 26 Mar 2009
Posts: 5892
Location: Kentucky

PostPosted: Sat 30 Jun 2012, 13:59    Post_subject:  

Another frugal install on my Xubuntu/Zenwalk/AntiX/Puppy box. Actually used the installer this time.
No problems so far, everything appears to be working correctly.

# report-video
Dpup Exprimo, version 5.X.3.4.2.2 on Sat 30 Jun 2012

Chip description:
2.0 VGA compatible controller
Intel Corporation 82865G Integrated Graphics Controller (rev 02)
oem: Intel(r)865G Graphics Chip Accelerated VGA BIOS
product: Intel(r)865G Graphics Controller Hardware Version 0.0

X Server: Xorg
Driver used: is

X.Org version: 1.7.7
dimensions: 1024x768 pixels (270x203 millimeters)
depth of root window: 24 planes

...the above also recorded in /tmp/root/ as report-video,
and archived with xorg.conf and Xorg.0.log as report-video-full.gz
#
-Computer-
Processor : Intel(R) Pentium(R) 4 CPU 2.80GHz
Memory : 512MB (199MB used)
Operating System : Unknown distribution
User Name : root (root)
Date/Time : Sat 30 Jun 2012 12:59:05 PM CDT
-Display-
Resolution : 1024x768 pixels
OpenGL Renderer : Unknown
X11 Vendor : The X.Org Foundation
-Multimedia-
Audio Adapter : ICH4 - Intel ICH5
# free
total used free shared buffers
Mem: 512332 494204 18128 0 35268
-/+ buffers: 458936 53396
Swap: 1124512 3332 1121180
#
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sat 30 Jun 2012, 17:00    Post_subject:  

DC. I have test compiled rtl2830.ko using this link to download latest v4l git and compiling the modules.

http://www.linuxtv.org/wiki/index.php/How_to_Obtain,_Build_and_Install_V4L-DVB_Device_Drivers

I included the core recompiled v4l modules also, not sure if they are needed, maybe just the rtl2830.ko would have needed, or...it wont work at all.

Install the pet, it has depmod in pinstall.sh script included.
rtl283x-driver.pet
Description 
pet

 Download 
Filename  rtl283x-driver.pet 
Filesize  101.05 KB 
Downloaded  124 Time(s) 
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sat 30 Jun 2012, 18:34    Post_subject:  

Now you have possiblity to stress your machine to the end...or notice that your comp is in good shape.

StressItOut-0.1.... My comp is still alive.

http://qt-apps.org/content/show.php/StressItOut?content=136985

This app needs the qt libs with opengl support:

http://smokey01.com/pemasu/pet_packages-exprimo/qt-4.8.0-webkit-phonon-gstreamer-opengl-dpup.pet
http://smokey01.com/pemasu/pet_packages-exprimo/qt-4.8.0-webkit-phonon-gstreamer-opengl-dpup.sfs
stressitout-0.1.pet
Description 
pet

 Download 
Filename  stressitout-0.1.pet 
Filesize  139.94 KB 
Downloaded  124 Time(s) 
Back to top
View user's profile Send_private_message 
DC


Joined: 30 Apr 2006
Posts: 361
Location: Maidenhead, England

PostPosted: Sat 30 Jun 2012, 19:03    Post_subject: rtl2830.ko  

Hi pemasu,
The bad news and the further bad news
rtl2832u still ignored.

And the twinhan is now broken with the following

Quote:
# dmesg | grep dvb
[ 13.600854] dvb_usb: disagrees about version of symbol dvb_dmxdev_init
[ 13.600856] dvb_usb: Unknown symbol dvb_dmxdev_init (err -22)
[ 13.600868] dvb_usb: disagrees about version of symbol dvb_register_adapter
[ 13.600870] dvb_usb: Unknown symbol dvb_register_adapter (err -22)
[ 13.600890] dvb_usb: disagrees about version of symbol dvb_net_init
[ 13.600892] dvb_usb: Unknown symbol dvb_net_init (err -22)
[ 13.600897] dvb_usb: disagrees about version of symbol dvb_dmxdev_release
[ 13.600898] dvb_usb: Unknown symbol dvb_dmxdev_release (err -22)
[ 13.600903] dvb_usb: disagrees about version of symbol dvb_frontend_detach
[ 13.600904] dvb_usb: Unknown symbol dvb_frontend_detach (err -22)
[ 13.600911] dvb_usb: disagrees about version of symbol dvb_net_release
[ 13.600913] dvb_usb: Unknown symbol dvb_net_release (err -22)
[ 13.600917] dvb_usb: disagrees about version of symbol dvb_unregister_frontend
[ 13.600919] dvb_usb: Unknown symbol dvb_unregister_frontend (err -22)
[ 13.600922] dvb_usb: disagrees about version of symbol dvb_register_frontend
[ 13.600924] dvb_usb: Unknown symbol dvb_register_frontend (err -22)
[ 13.600927] dvb_usb: disagrees about version of symbol dvb_unregister_adapter
[ 13.600928] dvb_usb: Unknown symbol dvb_unregister_adapter (err -22)


thanks

DC

_________________
a little bit of knowledge and I'm dangerous
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sat 30 Jun 2012, 19:09    Post_subject:  

Sorry about bad news. It was my first trial with that v4l git. I suppose it would need the whole set of those modules.

Anyway...Uninstall the pet...remove this folder with subfolders: /lib/modules/3.4.2-dpup/kernel/drivers/media

And then you can copy folder back from: /initrd/pup_ro2/lib/modules/3.4.2-dpup/kernel/drivers/media. As you know, with frugal install you have always backup in hands.

I think I let this be now. It might be possible to test with whole v4l but I will test it first with my own dvb tuner....maybe later...
Back to top
View user's profile Send_private_message 
DC


Joined: 30 Apr 2006
Posts: 361
Location: Maidenhead, England

PostPosted: Sat 30 Jun 2012, 19:37    Post_subject:  

Thanks pemasu,
I'm going to play a bit more Very Happy

Also the value of 3 for JWM window thichkness is fine for me (was 1)

DC

_________________
a little bit of knowledge and I'm dangerous
Back to top
View user's profile Send_private_message 
Tman


Joined: 22 Jan 2011
Posts: 814
Location: Toronto

PostPosted: Sun 01 Jul 2012, 16:02    Post_subject:  

I posted in a dpup thread a while back how /root/.bashrc was ignored when LXTerminal was installed.
I know Pemasu solved it a different way, but I wanted to add this here for future reference.
http://www.murga-linux.com/puppy/viewtopic.php?t=12814

So basically, all I did in Slacko to get .bashrc to run automatically, was to uncomment the line in /etc/profile that says #export ENV="/root/.bashrc". It worked after my computer rebooted, and this method will very likely apply to other puppies as well.

The line below it says:
#...no, instead have exported SHELL=bash, see above.

That has me a little worried, as I didn't change the shell to SHELL="/bin/sh", but everything seems to be working normally so far.

@Pemasu. I am using Slacko now, but I plan to switch over to Upup Precise, once it's finished. ( Newer Gcc and libs ).
Back to top
View user's profile Send_private_message 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Sun 01 Jul 2012, 22:20    Post_subject:  

A question.

If I update to libc62.15,
will it break any applications?

I'm trying to install the newest version of Aseprite.
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 38 of 89 Posts_count   Goto page: Previous 1, 2, 3, ..., 36, 37, 38, 39, 40, ..., 87, 88, 89 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1193s ][ Queries: 13 (0.0220s) ][ GZIP on ]